package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * CreateUpgradePlanResinfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class CreateUpgradePlanResinfo   {
  @JsonProperty("upgradeIdList")
  @Valid
  private List<String> upgradeIdList = null;

  public CreateUpgradePlanResinfo upgradeIdList(List<String> upgradeIdList) {
    this.upgradeIdList = upgradeIdList;
    return this;
  }

  public CreateUpgradePlanResinfo addUpgradeIdListItem(String upgradeIdListItem) {
    if (this.upgradeIdList == null) {
      this.upgradeIdList = new ArrayList<>();
    }
    this.upgradeIdList.add(upgradeIdListItem);
    return this;
  }

  /**
   * Upgrade ID list
   * @return upgradeIdList
  */
  @ApiModelProperty(value = "Upgrade ID list")


  public List<String> getUpgradeIdList() {
    return upgradeIdList;
  }

  public void setUpgradeIdList(List<String> upgradeIdList) {
    this.upgradeIdList = upgradeIdList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateUpgradePlanResinfo createUpgradePlanResinfo = (CreateUpgradePlanResinfo) o;
    return Objects.equals(this.upgradeIdList, createUpgradePlanResinfo.upgradeIdList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(upgradeIdList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateUpgradePlanResinfo {\n");
    
    sb.append("    upgradeIdList: ").append(toIndentedString(upgradeIdList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

